[SciPy-user] building scipy

Travis Oliphant oliphant at ee.byu.edu
Wed Nov 2 11:49:35 CST 2005


Jens Brandenburg wrote:

>hello everybody,
>
>I'm trying to build scipy on my SUSE Linux 10.0 OSS using the online
>documentation... But I didn't get it running. During the "make install"
>process the following error occurs:
>  
>
I presume you are running the older version of scipy, but you should 
make that clear.

I'm not sure what the "make install" process is.

Are you talking about

python setup.py install?

>Lib/stats/ranlib_all.c:2158: error: previous implicit declaration of
>‘inrgcm’ was here
>error: Command "gcc -pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall
>-Wstrict-prototypes -fPIC -I/usr/local/include/python2.3 -c
>Lib/stats/ranlib_all.c -o
>build/temp.linux-i686-2.3/Lib/stats/ranlib_all.o" failed with exit status 1
>  
>
I've never seen this problem before, but are you showing the entire 
error log?

Which version of gcc are you using?

-Travis



More information about the SciPy-user mailing list